<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security" xmlns="http://www.w3.org/1999/html"
      layout:decorate="~{layout5}">
<head>
    <meta charset="UTF-8">
    <title>Event Scheduler</title>
</head>
<body>
<main layout:fragment="main" class="container">
    <!--    <div th:include="sidebar/sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>-->
    <div class="row">
        <div class="col-md-12">
            <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
                <span>Event Scheduler</span>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-9">

            <div th:if="${gagal != null}" class="alert alert-danger" role="alert">
                <span th:text="${gagal}"></span>
            </div>


            <form class="form-horizontal" th:action="@{/setting/schedule/event/save}" th:object="${scheduleEvent}" method="post">
                <div class="shadow-sm p-3 mb-3 bg-body bg-opacity-50 border rounded">

                    <div class="mb-3">
                        <label for="scheduleName" class="form-label">Schedule Name</label>
                        <input type="text" class="form-control" id="scheduleName" th:field="*{scheduleName}" name="scheduleName" placeholder="Schedule Name">
                        <p th:if="${#fields.hasErrors('scheduleName')}" th:errors="*{scheduleName}" class="text-danger"> Mata Anggaran Error</p>
                    </div>

                    <div class="mb-3">
                        <label for="sched" class="form-label">Schedule Descriptions</label>
                        <textarea name="scheduleDescription" id="sched" cols="30" rows="10" th:field="*{scheduleDescription}"></textarea>
                        <p th:if="${#fields.hasErrors('scheduleDescription')}" th:errors="*{scheduleDescription}" class="text-danger"> Mata Anggaran Error</p>
                    </div>

<!--                    <div class="mb-3">-->
<!--                        <label for="date" class="form-label">Schedule Date</label>-->
<!--                        <div class="input-group date" id="dp3">-->
<!--                            <input type="text" name="scheduleDate" class="form-control" id="date"/>-->
<!--                            <span class="input-group-append">-->
<!--                              <span class="input-group-text bg-light d-block">-->
<!--                                <i class="fa fa-calendar"></i>-->
<!--                              </span>-->
<!--                             </span>-->
<!--                        </div>-->
<!--                        <p th:if="${#fields.hasErrors('scheduleName')}" th:errors="*{scheduleName}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                    </div>-->

                    <div class="row">
                        <div class="col-md-4">
                            <div class="mb-3">
                                <label for="dp3" class="form-label">Schedule Date</label>
                                <div class="input-append date" id="dp3" data-date-format="yyyy-mm-dd">
                                    <input size="16" type="text" class="form-control" name="scheduleDateString" th:field="*{scheduleDateString}" readonly>
                                    <span class="add-on"><i class="icon-th"></i></span>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-4">
                            <div class="mb-3">
                                <label for="scheduleTimeStartString" class="form-label">Time Start</label>
                                <input type="time" class="form-control timepicker" id="scheduleTimeStartString" th:field="*{scheduleTimeStartString}" name="scheduleTimeStart">
                                <p th:if="${#fields.hasErrors('scheduleTimeStartString')}" th:errors="*{scheduleTimeStartString}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="mb-3">
                                <label for="scheduleTimeEndString" class="form-label">Time End</label>
                                <input type="time" class="form-control timepicker" id="scheduleTimeEndString" th:field="*{scheduleTimeEndString}" name="scheduleTimeEnd">
                                <p th:if="${#fields.hasErrors('scheduleTimeEndString')}" th:errors="*{scheduleTimeEndString}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <a th:href="@{/setting/schedule/event}" class="btn btn-default" style="--bs-btn-bg: #e8ecf1">Cancel</a>
                            <button type="submit" class="btn btn-primary pull-right" style="--bs-btn-bg: #15408d">Save</button>
                        </div>
                    </div>


                </div>
            </form>
        </div>
    </div>

</main>

<main layout:fragment="footer" class="script">
    <script src="https://cdn.ckeditor.com/ckeditor5/35.2.1/classic/ckeditor.js"></script>

    <script th:src="@{/js/bootstrap-datepicker.js}"></script>
    <script th:src="@{/plugins/timepicker/bootstrap-timepicker.min.js}"></script>
<!--    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>-->
<!--    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.1.3/js/bootstrap.min.js"></script>-->

<!--    <script th:src="@{/bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js}"></script>-->
    <script>
        ClassicEditor
            .create( document.querySelector( '#sched' ) )
            .catch( error => {
                console.error( error );
            } );
    </script>
    <script>
        $(function(){
            $('#datepicker').datepicker();
        });
    </script>

    <script>
        $(function(){
            window.prettyPrint && prettyPrint();
            $('#dp1').datepicker({
                format: 'mm-dd-yyyy',
                todayBtn: 'linked'
            });

            $('#dp2').datepicker();
            $('#btn2').click(function(e){
                e.stopPropagation();
                $('#dp2').datepicker('update', '03/17/12');
            });

            $('#dp3').datepicker({
                format: 'yyyy-mm-dd'
            });


            var startDate = new Date(2012,1,20);
            var endDate = new Date(2012,1,25);
            $('#dp4').datepicker()
                .on('changeDate', function(ev){
                    if (ev.date.valueOf() > endDate.valueOf()){
                        $('#alert').show().find('strong').text('The start date can not be greater then the end date');
                    } else {
                        $('#alert').hide();
                        startDate = new Date(ev.date);
                        $('#startDate').text($('#dp4').data('date'));
                    }
                    $('#dp4').datepicker('hide');
                });
            $('#dp5').datepicker()
                .on('changeDate', function(ev){
                    if (ev.date.valueOf() < startDate.valueOf()){
                        $('#alert').show().find('strong').text('The end date can not be less then the start date');
                    } else {
                        $('#alert').hide();
                        endDate = new Date(ev.date);
                        $('#endDate').text($('#dp5').data('date'));
                    }
                    $('#dp5').datepicker('hide');
                });

            //inline
            $('#dp6').datepicker({
                todayBtn: 'linked'
            });

            $('#btn6').click(function(){
                $('#dp6').datepicker('update', '15-05-1984');
            });

            $('#btn7').click(function(){
                $('#dp6').data('datepicker').date = null;
                $('#dp6').find('.active').removeClass('active');
            });
        });
    </script>
</main>

</body>
</html>